Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.cetask
Class Script

    java.lang.Object
      edu.wpi.cetask.Script

    public class Script

extends Object

Field Summary
`protected TaskEngine` | `engine` Task recognizer in which DOM resides
`protected Node` | `node` Node in DOM
`static XPath` | `XPATH`

Method Summary
`Object` | `eval(Task task)`
`String` | `getDeviceType()`
`String` | `getModel()`
`String` | `getNamespace()`
`String` | `getPlatform()`
`TaskClass` | `getTask()`
`String` | `getText()`
`Boolean` | `isApplicable(Task goal)`
`boolean` | `isInit()`
`protected QName` | `parseQName(String qname)`
`TaskClass` | `resolveTaskClass(String qname)`
`protected String` | `xpath(String path)`
`protected Object` | `xpath(String path, QName returnType)`
`protected List<Node>` | `xpathNodes(String path)`
`protected List<String>` | `xpathValues(String path)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### node

    protected final Node node

  Node in DOM

### engine

    protected final TaskEngine engine

  Task recognizer in which DOM resides

### XPATH

    public static final XPath XPATH

Method Detail

### getTask

    public TaskClass getTask()

### isApplicable

    public Boolean isApplicable(Task goal)

### getModel

    public String getModel()

### getPlatform

    public String getPlatform()

### getDeviceType

    public String getDeviceType()

### isInit

    public boolean isInit()

### getText

    public String getText()

### eval

    public Object eval(Task task)

### getNamespace

    public String getNamespace()

### resolveTaskClass

    public TaskClass resolveTaskClass(String qname)

### xpath

    protected Object xpath(String path,
                           QName returnType)

### xpath

    protected String xpath(String path)

### xpathValues

    protected List<String> xpathValues(String path)

### xpathNodes

    protected List<Node> xpathNodes(String path)

### parseQName

    protected QName parseQName(String qname)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD